com.ihr.xbrl.om

## Class DynamicCacheCatalogResolver

- java.lang.Object
- - com.ihr.xbrl.om.DynamicCacheCatalogResolver

- All Implemented Interfaces:
    DTSCascadeSchemaURIResolver, DTSCascadeURIResolver, java.io.Serializable, javax.xml.transform.URIResolver, net.sf.saxon.lib.SchemaURIResolver, org.xml.sax.EntityResolver

      public class DynamicCacheCatalogResolver
      extends java.lang.Object
      implements DTSCascadeSchemaURIResolver, org.xml.sax.EntityResolver

  The Dynamic Cache Catalog Resolver obtain DTS files that has been stored on disk during DTS Discovery process prior to this one. The idea is, during DTS Discovery, if a file is on the Internet, a copy of the remote file is stored locally and used in the DTS. In a second step. this DynamicCacheCatalogResolver is able to return the previously stored file to speed-up DTS Discovery
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `typicalDirectoryOfPackages` The Constant typicalDirectoryOfPackages.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicCacheCatalogResolver(net.sf.saxon.lib.SchemaURIResolver nextResolver)` Instantiates a new dynamic cache catalog resolver.
    `DynamicCacheCatalogResolver(javax.xml.transform.URIResolver nextResolver)` Instantiates a new dynamic cache catalog resolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.URIResolver` | `getNextResolver()` The next resolved in the cascade. null means this is the last resolver
    `net.sf.saxon.lib.SchemaURIResolver` | `getNextSchemaResolver()` Return the next SchemaURIResolver.
    `javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)`
    `javax.xml.transform.Source[]` | `resolve(java.lang.String targetNamespace, java.lang.String baseURI, java.lang.String[] locations)`
    `org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
    `void` | `setConfiguration(net.sf.saxon.Configuration config)`
    `void` | `setNextResolver(net.sf.saxon.lib.SchemaURIResolver newNextResolver)` Establish the next SchemaURIResolver.
    `void` | `setNextResolver(javax.xml.transform.URIResolver newNextResolver)` Sets the next resolver to the resolver specified in the parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typicalDirectoryOfPackages

          public static final java.lang.String typicalDirectoryOfPackages

      The Constant typicalDirectoryOfPackages.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DynamicCacheCatalogResolver

          public DynamicCacheCatalogResolver(javax.xml.transform.URIResolver nextResolver)

      Instantiates a new dynamic cache catalog resolver.
      Parameters:
        `nextResolver` - the next resolver

    - #### DynamicCacheCatalogResolver

          public DynamicCacheCatalogResolver(net.sf.saxon.lib.SchemaURIResolver nextResolver)

      Instantiates a new dynamic cache catalog resolver.
      Parameters:
        `nextResolver` - the next resolver

  - ### Method Detail

    - #### resolve

          public javax.xml.transform.Source resolve(java.lang.String href,
                                           java.lang.String base)
                                             throws javax.xml.transform.TransformerException

      Specified by:
        `resolve` in interface `javax.xml.transform.URIResolver`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                              java.lang.String systemId)
                                                throws org.xml.sax.SAXException,
                                                       java.io.IOException

      Specified by:
        `resolveEntity` in interface `org.xml.sax.EntityResolver`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### setConfiguration

          public void setConfiguration(net.sf.saxon.Configuration config)

      Specified by:
        `setConfiguration` in interface `net.sf.saxon.lib.SchemaURIResolver`

    - #### resolve

          public javax.xml.transform.Source[] resolve(java.lang.String targetNamespace,
                                             java.lang.String baseURI,
                                             java.lang.String[] locations)
                                               throws net.sf.saxon.trans.XPathException

      Specified by:
        `resolve` in interface `net.sf.saxon.lib.SchemaURIResolver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### getNextResolver

          public javax.xml.transform.URIResolver getNextResolver()

      Description copied from interface: `DTSCascadeURIResolver`
      The next resolved in the cascade. null means this is the last resolver
      Specified by:
        `getNextResolver` in interface `DTSCascadeURIResolver`
      Returns:
        URIResolver

    - #### setNextResolver

          public void setNextResolver(javax.xml.transform.URIResolver newNextResolver)

      Description copied from interface: `DTSCascadeURIResolver`
      Sets the next resolver to the resolver specified in the parameter.
      Specified by:
        `setNextResolver` in interface `DTSCascadeURIResolver`
      Parameters:
        `newNextResolver` - the new next resolver

    - #### setNextResolver

          public void setNextResolver(net.sf.saxon.lib.SchemaURIResolver newNextResolver)

      Description copied from interface: `DTSCascadeSchemaURIResolver`
      Establish the next SchemaURIResolver. It is recommended the new class implements also URIResolver
      Specified by:
        `setNextResolver` in interface `DTSCascadeSchemaURIResolver`
      Parameters:
        `newNextResolver` - the new next resolver

    - #### getNextSchemaResolver

          public net.sf.saxon.lib.SchemaURIResolver getNextSchemaResolver()

      Description copied from interface: `DTSCascadeSchemaURIResolver`
      Return the next SchemaURIResolver.
      Specified by:
        `getNextSchemaResolver` in interface `DTSCascadeSchemaURIResolver`
      Returns:
        the next schema resolver